Kerbal Space Program - Bug #26604

Selected settings are not applied to game
11/18/2020 05:27 AM - Quitsn
History
Description

Game Version

1.10.1.2939 (WindowsPlayer x64) en-us

1.10.1 Making History

1.5.1 Breaking Ground

Base game and DLC purchased and downloaded through Steam
The DLC being enabled or disabled did not affect the issue

Issue Description

When the Texture Quality is set to Full Res, whether the game applies either Full or Half Res on game startup seems random.
Whenever | open Settings the selected option says Full Res, however the majority of the time that the game is launched it is actually
in Half Res. This incorrect resolution is applied to the entire game (Main Menu, Vehicle Assembly Building, Cockpit and 3rd person
vessel views, etc.) The Ul scale is also affected. | set it to 80%, but 80% is only applied to the game when the Texture Quality is also
correctly applied. The rest of the time it stays at the default 90%. | can only assume this applies to other settings where | haven't
been able to notice the difference. | just started playing a month ago and the issue has been present the entire time so | would not
notice if, for example, Terrain Shader Quality wasn't working. Occasionally, the game will correctly apply those settings, though if
something specific is triggering whether the settings are properly applied | have not figured out what that is.

| have included screenshots of my settings (the game has only applied Half-Res Texture Quality and 90% Ul Scale in the
screenshots). | could not locate the output_log.txt file. | have attached debug.log from the game's files which seems to reference an
error with the Settings.

Reproduction (Since this issue was when | downloaded the game I'm not certain how to trigger it initially)

1. Launch game

2. Ensure Texture Quality under Graphics is set to Full Res and Ul Scale under Gameplay is set to 80%

2.1 Change those settings options if necessary, click Apply then Accept.

2.2 Opening and checking Settings when at the KSC or flying a vessel have the same result as opening Settings from the Main
Menu.

3. Exit Settings and check to see whether they were properly applied.

3.1 If at the Main Menu the Kerbal's suit and the yellow text (Start Game, Settings, etc.) have worked best when comparing the
Texture Quality.

3.2 If a game is already loaded the Ul scale is most noticeable.

4. If settings were properly applied, close the game and perform steps 1-3 again.

History

#1 - 11/20/2020 09:02 AM - steve_v

Interesting, | wonder if this is the same problem reported in #24306 & #249077?
| also wonder if it will get some attention now that it's being reported on Windows. GNU/Linux bug reports sure don't.

#2 - 11/23/2020 11:03 PM - Quitsn

steve_v wrote:

Interesting, | wonder if this is the same problem reported in #24306 & #249077?
| also wonder if it will get some attention now that it's being reported on Windows. GNU/Linux bug reports sure don't.

Yeah, | found those reports when | was trying to see if this issue was already posted. | decided to make this report since, like you said, it's on
https://bugs.kerbalspaceprogram.com/issues/24306
https://bugs.kerbalspaceprogram.com/issues/24907
https://bugs.kerbalspaceprogram.com/issues/24306
https://bugs.kerbalspaceprogram.com/issues/24907

Windows now. Also because mine is about multiple graphics settings affected together, | felt it might help narrow down the list of possible causes.

Files

Screenshot 2020-11-17 220545.png 374 KB 11/18/2020 Quitsn
Screenshot 2020-11-17 220557.png 341 KB 11/18/2020 Quitsn
debug.log 67 Bytes 11/18/2020 Quitsn
